Bug 518236 - EC2E generated queue names too long
Summary: EC2E generated queue names too long
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-ec2-enhanced-hooks
Version: 1.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: 1.2
: ---
Assignee: Robert Rati
QA Contact: Luigi Toscano
URL:
Whiteboard:
Depends On:
Blocks: 527551
TreeView+ depends on / blocked
 
Reported: 2009-08-19 15:50 UTC by Robert Rati
Modified: 2010-10-12 22:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Grid bug fix C: EC2E uses a number of elements to generate a queue name, one of which has an unlimited ID length. SQS queues have a limit of 80 characters. C: It is possible that some ID numbers could use all of the allowed SQS name. F: Names of SQS queues are now auto-generated and use the described structure, which never exceed the 80-character limit. R: The limit can no longer be over-run EC2E uses a number of elements to generate a queue name, one of which has an unlimited ID length. SQS queues have a limit of 80 characters. It is possible that some ID numbers could use all of the allowed SQS name. Names of SQS queues are now auto-generated and use the described structure, which never exceed the 80-character limit.
Clone Of:
Environment:
Last Closed: 2009-12-03 09:19:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2009:1633 normal SHIPPED_LIVE Red Hat Enterprise MRG Messaging and Grid Version 1.2 2009-12-03 09:15:33 UTC

Description Robert Rati 2009-08-19 15:50:54 UTC
Description of problem:
EC2E uses a number of elements to generate a queue name, one of which is the GlobalJobId from condor.  This ID effectively has no limits as it is partially comprised of user id and FQDN of the schedd.  SQS queues have a limit of 80 chars, so it's possible the GlobalJobId will use up all the SQS name allowed.

Suggest changing from:
<AWS_ID>-<route_queue_name>-<GlobalJobId>[-status]

To:

<AWS_ID>-<ClusterId>-<ProcId>-<QDate>[-status]

Remove the route_queue_name for the time being, as it is really only needed for N:1 functionality.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Robert Rati 2009-08-19 16:55:52 UTC
Fixed in:
condor-ec2-enhanced-hooks-1.0-19

Comment 3 Irina Boverman 2009-10-29 14:29:51 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
please see bug summary.

Comment 4 Luigi Toscano 2009-11-05 14:26:36 UTC
Names of SQS queues are now auto-generated and use the described structure, which never exceed the 80-character limit.
Verified on RHEL 5.4, i386/x86_64.
condor-ec2-enhanced-hooks-1.0-19

Changing the status to VERIFIED.

Comment 5 Lana Brindley 2009-11-11 21:21:10 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1,9 @@
-please see bug summary.+Grid bug fix
+
+C: EC2E uses a number of elements to generate a queue name, one of which has an unlimited ID length. SQS queues have a limit of 80 characters. 
+C: It is possible that some ID numbers could use all of the allowed SQS name.
+F: Names of SQS queues are now auto-generated and use the described structure, which never exceed the 80-character limit.
+R: The limit can no longer be over-run
+
+
+EC2E uses a number of elements to generate a queue name, one of which has an unlimited ID length. SQS queues have a limit of 80 characters. It is possible that some ID numbers could use all of the allowed SQS name. Names of SQS queues are now auto-generated and use the described structure, which never exceed the 80-character limit.

Comment 7 errata-xmlrpc 2009-12-03 09:19:12 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1633.html


Note You need to log in before you can comment on or make changes to this bug.